classification
Title: Idle terminates on source save while debugging
Type: crash Stage:
Components: IDLE Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE closes with save while breakpoint open
View: 9803
Assigned To: Nosy List: JimShaw, andyharrington, roger.serwy
Priority: normal Keywords:

Created on 2009-06-10 16:47 by andyharrington, last changed 2012-07-18 22:22 by roger.serwy. This issue is now closed.

Messages (5)
msg89217 - (view) Author: Andy Harrington (andyharrington) Date: 2009-06-10 16:47
When I am running the idle debugger, and change something in a source
file and save it, the save works but idle immediately closes. 

I can see the debugger not liking it, but it would be much better if
just the debugger stopped, not the whole idle environment.

I'm running XP professional, Python 3.0.1
msg103178 - (view) Author: Jim Shaw (JimShaw) Date: 2010-04-15 02:22
I am having the same problem with Windows Vista and Windows 7.
msg165809 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-07-18 21:50
The only was I get IDLE to crash is if the file has breakpoints enabled. Is this how IDLE is crashing?
msg165814 - (view) Author: Andy Harrington (andyharrington) Date: 2012-07-18 21:59
yes I certainly used breakpoints

On Wed, Jul 18, 2012 at 4:50 PM, Roger Serwy <report@bugs.python.org> wrote:

>
> Roger Serwy <roger.serwy@gmail.com> added the comment:
>
> The only was I get IDLE to crash is if the file has breakpoints enabled.
> Is this how IDLE is crashing?
>
> ----------
> nosy: +serwy
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue6257>
> _______________________________________
>
msg165816 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-07-18 22:22
Thanks Andy for your prompt response. 

This issue is a duplicate with issue9803 which has a patch. I will close this issue in favor of that one. Feel free to add yourself to the nosy list if you wish.
History
Date User Action Args
2012-07-18 22:22:04roger.serwysetstatus: open -> closed
superseder: IDLE closes with save while breakpoint open
resolution: duplicate
messages: + msg165816
2012-07-18 21:59:37andyharringtonsetmessages: + msg165814
2012-07-18 21:50:41roger.serwyunlinkissue9803 superseder
2012-07-18 21:50:29roger.serwysetnosy: + roger.serwy
messages: + msg165809
2012-04-14 22:28:37roger.serwylinkissue9803 superseder
2010-04-15 02:22:46JimShawsetversions: + Python 3.1, - Python 3.0
nosy: + JimShaw

messages: + msg103178

components: + IDLE
2009-06-10 16:47:13andyharringtoncreate